library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity msa_tp1_ex2 is
    Port(
        clk_i : in  STD_LOGIC;
        rst_i : in  STD_LOGIC;
        bouton_up_i : in  STD_LOGIC;
        bouton_left_i : in  STD_LOGIC;
        bouton_center_i : in  STD_LOGIC;
        bouton_right_i : in STD_LOGIC;
        bouton_down_i : in STD_LOGIC;
        dels_o : out std_logic_vector(7 downto 0)
    );
end msa_tp1_ex2;

architecture Behavioral of msa_tp1_ex2 is

type etat is (  start,
                up_transition,
                up,
                left_transition,
                center_transition,
                left_center_transition,
                left_center,
                final
                ); --d�claration des noms d'�tats � compl�ter
signal etat_p, etat_f : etat; --registre d'état
signal dels_p, dels_f : std_logic_vector(7 downto 0); --registre de sortie
signal boutons : std_logic_vector(4 downto 0);

begin

boutons <= bouton_up_i & bouton_left_i & bouton_center_i & bouton_right_i & bouton_down_i; --mapping de signaux internes à des ports
dels_o <= dels_p;

P_sync: process(rst_i, clk_i, boutons)
begin
 if(rst_i = '1')then
	 etat_p <= start;
	 dels_p <= 0;
 elsif(clk_i'event and clk_i = '1')then
	 --à compléter
 end if;
end process;

P_comb: process( --à compléter)
begin
	--à compléter
end process;
end Behavioral;
